oasis.names.tc.saml._2_0.assertion

## Class AttributeStatement

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.StatementAbstractType
  - - oasis.names.tc.saml._2_0.assertion.AttributeStatement

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IAMAttributeStatement

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class AttributeStatement
      extends StatementAbstractType
      implements Serializable

  Java class for AttributeStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
             <choice maxOccurs="unbounded">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAttribute"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeStatement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Serializable>` | `getAttributesAndEncryptedAttributes()` Gets the value of the attributesAndEncryptedAttributes property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeStatement

          public AttributeStatement()

  - ### Method Detail

    - #### getAttributesAndEncryptedAttributes

          public List<Serializable> getAttributesAndEncryptedAttributes()

      Gets the value of the attributesAndEncryptedAttributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributesAndEncryptedAttributes property.

      For example, to add a new item, do as follows:

              getAttributesAndEncryptedAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute` `EncryptedElementType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.